osg::Shader::ShaderObjects Struct Reference

`#include <Shader>`

Inheritance diagram for osg::Shader::ShaderObjects:

## Public Types

typedef std::vector< osg::ref_ptr< PerContextShader > > | PerContextShaders

## Public Member Functions

| ShaderObjects (const Shader *shader, unsigned int contextID)
PerContextShader * | getPCS (const std::string &defineStr) const
PerContextShader * | createPerContextShader (const std::string &defineStr)
void | requestCompile ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

unsigned int | _contextID
const Shader * | _shader
PerContextShaders | _perContextShaders

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## PerContextShaders

typedef std::vector< osg::ref_ptr<PerContextShader> > osg::Shader::ShaderObjects::PerContextShaders

## Constructor & Destructor Documentation

## ShaderObjects()

osg::Shader::ShaderObjects::ShaderObjects | ( | const Shader * | shader,
|  | unsigned int | contextID )

References osg::Shader::Shader().

## Member Function Documentation

## createPerContextShader()

PerContextShader * osg::Shader::ShaderObjects::createPerContextShader | ( | const std::string & | defineStr | ) |

## getPCS()

PerContextShader * osg::Shader::ShaderObjects::getPCS | ( | const std::string & | defineStr | ) | const

## requestCompile()

void osg::Shader::ShaderObjects::requestCompile | ( |  | ) |

## Member Data Documentation

## _contextID

unsigned int osg::Shader::ShaderObjects::_contextID

## _perContextShaders

PerContextShaders osg::Shader::ShaderObjects::_perContextShaders

mutable

## _shader

const Shader* osg::Shader::ShaderObjects::_shader

The documentation for this struct was generated from the following file:

- Shader